jammy/linux-lowlatency: 5.15.0-94.104 -proposed tracker

Bug #2048320 reported by Roxana Nicolescu
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Fix Committed
Medium
Unassigned
Abi-testing
Fix Released
Medium
Unassigned
Automated-testing
Fix Released
Medium
Canonical Kernel Team
Boot-testing
Fix Released
Medium
Stefan Bader
Certification-testing
Invalid
Medium
Unassigned
New-review
Fix Released
Medium
Andy Whitcroft
Prepare-package
Fix Released
Medium
Stefan Bader
Prepare-package-generate
Fix Released
Medium
Stefan Bader
Prepare-package-lrg
Fix Released
Medium
Stefan Bader
Prepare-package-lrm
Fix Released
Medium
Stefan Bader
Prepare-package-lrs
Fix Released
Medium
Stefan Bader
Prepare-package-meta
Fix Released
Medium
Stefan Bader
Prepare-package-signed
Fix Released
Medium
Stefan Bader
Promote-signing-to-proposed
Invalid
Medium
Unassigned
Promote-to-proposed
Fix Released
Medium
Ubuntu Stable Release Updates Team
Promote-to-security
Fix Released
Medium
Andy Whitcroft
Promote-to-updates
Fix Released
Medium
Andy Whitcroft
Regression-testing
Fix Released
Medium
Stefan Bader
Security-signoff
Fix Released
Medium
Rodrigo Figueiredo Zaiden
Sru-review
Fix Released
Medium
Andy Whitcroft
Verification-testing
Fix Released
Medium
Canonical Kernel Team
canonical-signing-jobs
Task00
Fix Released
Medium
Andy Whitcroft
linux-lowlatency (Ubuntu)
Jammy
Fix Released
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
built:
  from: b00cf63c46756d53
  route-entry: 1
comments:
  abi-testing: 1
delta:
  promote-to-proposed: []
  promote-to-security: []
  promote-to-updates: [lrm, lrs, main, meta, signed]
flag:
  boot-testing-requested: true
  bugs-spammed: true
  proposed-announcement-sent: true
  proposed-testing-requested: true
  stream-from-cycle: true
issue: KSRU-10703
kernel-stable-master-bug: 2048777
packages:
  generate: linux-generate-lowlatency
  lrg: linux-restricted-generate-lowlatency
  lrm: linux-restricted-modules-lowlatency
  lrs: linux-restricted-signatures-lowlatency
  main: linux-lowlatency
  meta: linux-meta-lowlatency
  signed: linux-signed-lowlatency
phase: Complete
phase-changed: Monday, 12. February 2024 15:53 UTC
reason: {}
synthetic:
  :promote-to-as-proposed: Fix Released
trackers:
  focal/linux-lowlatency-hwe-5.15: bug 2048319
variant: debs
versions:
  lrm: 5.15.0-94.104+1
  main: 5.15.0-94.104
  meta: 5.15.0.94.94
  signed: 5.15.0-94.104
versions-replace:
  lrm: [5.15.0-94.104]
~~:
  announce:
    swm-transition-crankable: 2024-01-17 10:36:25.545018
  clamps:
    new-review: b00cf63c46756d53
    promote-to-proposed: b00cf63c46756d53
    self: 5.15.0-94.104
    sru-review: b00cf63c46756d53
  tracker:
    last-message: '2024-02-07 12:45:23.686856+00:00'

tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2024.01.08-1
description: updated
tags: added: kernel-sru-derivative-of-2048330
Changed in kernel-sru-workflow:
status: New → Confirmed
importance: Undecided → Medium
Changed in linux-lowlatency (Ubuntu Jammy):
importance: Undecided → Medium
Changed in kernel-sru-workflow:
status: Confirmed → Triaged
description: updated
Changed in kernel-sru-workflow:
status: Triaged → In Progress
tags: added: kernel-jira-issue-ksru-10703
description: updated
description: updated
description: updated
description: updated
description: updated
Stefan Bader (smb)
summary: - jammy/linux-lowlatency: <version to be filled> -proposed tracker
+ jammy/linux-lowlatency: 5.15.0-94.104 -proposed tracker
description: updated
Stefan Bader (smb)
tags: added: kernel-sru-derivative-of-2048777
removed: kernel-sru-derivative-of-2048330
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Ancillary Bot (ubuntu-kernel-ancillary-bot) wrote : ABI testing

amd64/lowlatency canonical-certs.pem unchanged
amd64/lowlatency canonical-revoked-certs.pem unchanged
amd64/lowlatency fwinfo unchanged
amd64/lowlatency modules differs
  @@ -1477,6 +1477,7 @@
   f81232
   f81534
   f81601
  +f81604 (ok)
   failover
   fakelb
   fam15h_power
  @@ -1724,6 +1725,7 @@
   gpio-ljca
   gpio-lp3943
   gpio-lp873x
  +gpio-m058ssan (ok)
   gpio-madera
   gpio-max3191x
   gpio-max7300
  @@ -4396,6 +4398,7 @@
   rtc-pcf50633
   rtc-pcf85063
   rtc-pcf8523
  +rtc-pcf85263 (ok)
   rtc-pcf85363
   rtc-pcf8563
   rtc-pcf8583
amd64/lowlatency retpoline unchanged
arm64/lowlatency canonical-certs.pem unchanged
arm64/lowlatency canonical-revoked-certs.pem unchanged
arm64/lowlatency fwinfo unchanged
arm64/lowlatency modules unchanged
arm64/lowlatency retpoline unchanged
arm64/lowlatency-64k canonical-certs.pem unchanged
arm64/lowlatency-64k canonical-revoked-certs.pem unchanged
arm64/lowlatency-64k fwinfo unchanged
arm64/lowlatency-64k modules unchanged
arm64/lowlatency-64k retpoline unchanged

description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Stefan Bader (smb) wrote :

Only one system (hidon) with deployment issue (which I assume are unrelated)

tags: added: boot-testing-passed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Andy Whitcroft (apw)
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Stefan Bader (smb) wrote :

RT tests are not showing significant failures.

tags: added: regression-testing-passed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (63.3 KiB)

This bug was fixed in the package linux-lowlatency - 5.15.0-94.104

---------------
linux-lowlatency (5.15.0-94.104) jammy; urgency=medium

  * jammy/linux-lowlatency: 5.15.0-94.104 -proposed tracker (LP: #2048320)

  [ Ubuntu: 5.15.0-94.104 ]

  * jammy/linux: 5.15.0-94.104 -proposed tracker (LP: #2048777)
  * [SRU] Duplicate Device_dax ids Created and hence Probing is Failing.
    (LP: #2028158)
    - device-dax: Fix duplicate 'hmem' device registration
  * Add ODM driver f81604 usb-can (LP: #2045387)
    - can: usb: f81604: add Fintek F81604 support
    - [Config] updateconfigs for ODM drivers CONFIG_CAN_F81604
  * Add ODM driver gpio-m058ssan (LP: #2045386)
    - SAUCE: ODM: gpio: add M058SSAN gpio driver
    - [Config] updateconfigs for ODM drivers CONFIG_GPIO_M058SSAN
  * Add ODM driver rtc-pcf85263 (LP: #2045385)
    - SAUCE: ODM: rtc: add PCF85263 RTC driver
    - [Config] updateconfigs for ODM drivers CONFIG_RTC_DRV_PCF85263
  * AppArmor patch for mq-posix interface is missing in jammy (LP: #2045384)
    - SAUCE: (no-up) apparmor: reserve mediation classes
    - SAUCE: (no-up) apparmor: Add fine grained mediation of posix mqueues
  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts

  [ Ubuntu: 5.15.0-93.103 ]

  * jammy/linux: 5.15.0-93.103 -proposed tracker (LP: #2048330)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] resync update-dkms-versions helper
    - [Packaging] remove helper scripts
    - [Packaging] update annotations scripts
    - debian/dkms-versions -- update from kernel-versions (main/2024.01.08)
  * Hotplugging SCSI disk in QEMU VM fails (LP: #2047382)
    - Revert "PCI: acpiphp: Reassign resources on bridge if necessary"
  * CVE-2023-6622
    - netfilter: nf_tables: bail out on mismatching dynset and set expressions
  * CVE-2024-0193
    - netfilter: nf_tables: skip set commit for deleted/destroyed sets
  * CVE-2023-6040
    - netfilter: nf_tables: Reject tables of unsupported family
  * Patches needed for AmpereOne (arm64) (LP: #2044192)
    - clocksource/arm_arch_timer: Add build-time guards for unhandled register
      accesses
    - clocksource/drivers/arm_arch_timer: Drop CNT*_TVAL read accessors
    - clocksource/drivers/arm_arch_timer: Extend write side of timer register
      accessors to u64
    - clocksource/drivers/arm_arch_timer: Move system register timer programming
      over to CVAL
    - clocksource/drivers/arm_arch_timer: Move drop _tval from erratum function
      names
    - clocksource/drivers/arm_arch_timer: Fix MMIO base address vs callback
      ordering issue
    - clocksource/drivers/arm_arch_timer: Move MMIO timer programming over to CVAL
    - clocksource/drivers/arm_arch_timer: Advertise 56bit timer to the core code
    - clocksource/drivers/arm_arch_timer: Work around broken CVAL implementations
    - clocksource/drivers/arm_arch_timer: Remove any trace of the TVAL programming
      interface
    - clocksource/drivers/arm_arch_timer: Drop unnecessary ISB on CVAL programming
    - clocksource/drivers/arm_arch_timer: Fix masking for high freq counters
    - clocksource/drivers/arch_arm_timer: Move workaround synchr...

Changed in linux-lowlatency (Ubuntu Jammy):
status: New → Fix Released
description: updated
description: updated
description: updated
description: updated
description: updated
Andy Whitcroft (apw)
tags: added: kernel-accept-superseded-binaries
description: updated
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Workflow done!

All tasks have been completed and the bug is being closed

Changed in kernel-sru-workflow:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.